Salted user password hashes - Bug # 3254

Status: Closed Priority: Should have
Author: Marcus Krause Category: Auth Service
Created: 2009-05-10 Assigned To: Marcus Krause
Updated: 2010-10-20 Due date: 2009-05-10
Subiject: Code cleanup - remove unnecessary method call (user record)

Description

In authentication service method authUser() there's a method call $this->fetchUserRecord() although the result is already given as
method parameter.
-> Remove the unnecessary call and use method parameter instead!

Associated revisions

Revision 20123 - 2009-05-10 02:32 - Marcus Krause

Bug #3254: Code cleanup - remove unnecessary method call (user record)

Revision 20123 - 2009-05-10 02:32 - Marcus Krause

Bug #3254: Code cleanup - remove unnecessary method call (user record)

Revision 23088 - 2009-08-04 16:51 - Bernd Schénbach

[Bug 3254] Also import the rent from "kaltmiete" if "nettokaltmiete" is empty or missing,r=oliver

History

#1 - 2009-05-10 02:34 - Marcus Krause
- Status changed from Accepted to Resolved

- % Done changed from 0 to 100

committed to branch RB-TER-DEV with changeset r20123

#2 - 2009-05-10 03:10 - Marcus Krause
- Status changed from Resolved to Closed

Issue resolved with extension version 0.2.7
http://forge.typo3.org/repositories/revision/extension-t3sec_saltedpw/20123
http://typo3.org/extensions/repository/view/t3sec_saltedpw/0.2.7/

